Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Class ClasspathExtension

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.deployment.ClasspathExtension

All Implemented Interfaces:
  ClasspathExtensionMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, Service, ServiceMBean

public class ClasspathExtension
extends ServiceMBeanSupport
implements ClasspathExtensionMBean

A service that allows one to add an arbitrary URL to a named LoaderRepository. Created: Sun Jun 30 13:17:22 2002

Version:
  $Revision: 1.5 $
Author:
  David Jencks

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.deployment.ClasspathExtensionMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ClasspathExtension()`

Method Summary
`protected void` | `createService()` Sub-classes should override this method to provide custum 'create' logic.
`protected void` | `destroyService()` Sub-classes should override this method to provide custum 'destroy' logic.
`javax.management.ObjectName` | `getLoaderRepository()` mbean get-set pair for field loaderRepository Get the value of loaderRepository
`String` | `getMetadataURL()` mbean get-set pair for field metadataURL Get the value of metadataURL
`void` | `setLoaderRepository(javax.management.ObjectName loaderRepository)` Set the value of loaderRepository
`void` | `setMetadataURL(String metadataURL)` Set the value of metadataURL

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### ClasspathExtension

    public ClasspathExtension()

Method Detail

### getMetadataURL

    public String getMetadataURL()

  mbean get-set pair for field metadataURL Get the value of metadataURL

  Specified by:
    `getMetadataURL` in interface `ClasspathExtensionMBean`
  Returns:
    value of metadataURL

### setMetadataURL

    public void setMetadataURL(String metadataURL)

  Set the value of metadataURL

  Specified by:
    `setMetadataURL` in interface `ClasspathExtensionMBean`
  Parameters:
    `metadataURL` - Value to assign to metadataURL

### getLoaderRepository

    public javax.management.ObjectName getLoaderRepository()

  mbean get-set pair for field loaderRepository Get the value of loaderRepository

  Specified by:
    `getLoaderRepository` in interface `ClasspathExtensionMBean`
  Returns:
    value of loaderRepository

### setLoaderRepository

    public void setLoaderRepository(javax.management.ObjectName loaderRepository)

  Set the value of loaderRepository

  Specified by:
    `setLoaderRepository` in interface `ClasspathExtensionMBean`
  Parameters:
    `loaderRepository` - Value to assign to loaderRepository

### createService

    protected void createService()
                          throws Exception

  Description copied from class: `ServiceMBeanSupport`
  Sub-classes should override this method to provide custum 'create' logic.

  This method is empty, and is provided for convenience when concrete service classes do not need to perform anything specific for this state change.

  Overrides:
    `createService` in class `ServiceMBeanSupport`
  Throws:
    `Exception`

### destroyService

    protected void destroyService()
                           throws Exception

  Description copied from class: `ServiceMBeanSupport`
  Sub-classes should override this method to provide custum 'destroy' logic.

  This method is empty, and is provided for convenience when concrete service classes do not need to perform anything specific for this state change.

  Overrides:
    `destroyService` in class `ServiceMBeanSupport`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.